Não pode executar unidade em um asus x53sj -- unity campo com gnome camp askubuntu Relacionado O problema

Cannot run Unity on an Asus X53SJ


2
vote

problema

português

Eu comprei recentemente um novo laptop (ASUS X53SJ) com essas especificações:

  • CPU: i5-2410m @ 2.3GHz
  • RAM: 4GB
  • GPU: NVIDIA GEFORCE GT 520M (512MB)

Quando eu inicializei pela primeira vez no Ubuntu, recebi uma mensagem dizendo que a unidade não é suportada. Então eu acredito, estou usando o GNOME. Os resultados deste comando /usr/lib/nux/unity_support_test -p :

  Xlib:  extension "GLX" missing on display ":0.0". Xlib:  extension "GLX" missing on display ":0.0". Xlib:  extension "GLX" missing on display ":0.0". Error: unable to create the OpenGL context    

O que há de errado com isso?

Também o GNOME versão 2 está atualmente instalado. Eu sou capaz de usar o Gnome versão 3?

english

I've recently bought a new laptop (ASUS X53SJ) with these specs:

  • CPU: i5-2410M @ 2.3GHz
  • RAM: 4GB
  • GPU: NVIDIA GeForce GT 520M (512MB)

When I first booted into Ubuntu I got a message saying that Unity is not supported. So I believe, I am using gnome. The results of this command /usr/lib/nux/unity_support_test -p:

Xlib:  extension "GLX" missing on display ":0.0". Xlib:  extension "GLX" missing on display ":0.0". Xlib:  extension "GLX" missing on display ":0.0". Error: unable to create the OpenGL context 

What is wrong with it?

Also gnome version 2 is currently installed. Am I able to use gnome version 3?

     

Lista de respostas

2
 
vote

Você está usando o Ubuntu Classic (GNOME 2). Isso é padrão, como é a mensagem que seu hardware não suporta unidade. Esta mensagem é enganosa. Seu hardware é poderoso o suficiente para a unidade quando você tem o driver proprietário instalado. A mensagem deve dizer que você precisará ativar o motorista proprietário para usar a unidade.

A intenção é substituir os drivers proprietários por um driver de código aberto. Quando esse projeto está terminado, então essa mensagem significará o que diz. Até então .....

Instale o driver proprietário usando o utilitário de drivers adicionais:

  • como posso ativar a unidade?

Você receberá uma mensagem dizendo o driver ativado, mas não em uso. Ignore esta mensagem. Também é com defeito. O motorista está em uso.

Reiniciar e login Clique no nome do usuário e selecione o Ubuntu no menu no painel inferior. Que irá executar a unidade GUI.

GNOME 3 será em 11,10. Já está nas versões alfa. Eu estou testando isso. Então, eu sei.

 

You are using Ubuntu Classic (Gnome 2). This is standard as is the message that your hardware does not support Unity. This message is misleading. Your hardware is powerful enough for Unity when you have the proprietary driver installed. The message should say that you will need to activate the proprietary driver to use Unity.

The intention is to replace proprietary drivers with an open source driver. When that project is finished, then that message will mean what it says. Until then .....

Install the proprietary driver using the Additional Drivers utility:

  • How can I activate Unity?

You will get a message saying driver activated but not in use. Ignore this message. It is also faulty. The driver is in use.

Re-start and at login click on your user name and select Ubuntu from the menu on the bottom panel. That will run the Unity GUI.

Gnome 3 will be in 11.10. It is already in the Alpha versions. I am testing it. So, I know.

 
 
 
 
-1
 
vote

Para usar o GNOME 3, você terá que:

    .
  1. use o remaster gnatty ubuntu (busca fóruns do Ubuntu por ele) - estável o suficiente para mim, mas, uma vez que só é apoiado por um homem provavelmente não é a escolha mais segura.
  2. use a versão não par de desenvolvimento 11.10, que é surpreendentemente estável para uma liberação de desenvolvimento, mas ainda não está pronta ainda - obviamente - para ser usado se você não quiser gastar tempo consertando.
  3. espera para outubro e a liberação oficial de 11,10 (ou pelo menos setembro, quando será estável o suficiente), que é provavelmente a melhor ideia.
  4. Use o PPA de teste de gnome-shell se você não se importa com a unidade. Este não é estável ainda.

Quanto ao erro que você recebe acima, eu tenho o mesmo hoje Eu não sei qual deles consertou, mas eu fiz ambos:

    .
  1. reinstale a unidade e a corrente nvidia
  2. forçar a unidade a começar alterando o arquivo em &>0 (gsudo gedit / etc / ambiental) adicionando este &>1 no seu final
 

In order to use gnome 3 you will have to either:

  1. use the gnatty ubuntu remaster (search ubuntu forums for it) - stable enough for me but, since it is only supported by one man is probably not the safest choice.
  2. use the not-even-in-beta-yet development version of 11.10 which is surprisingly stable for a development release but is still not ready yet - obviously - to be used if you don't want to spend time fixing it.
  3. wait for October and the official release of 11.10 (or at least September when it will be stable enough), which is probably the best idea.
  4. use the gnome-shell testing ppa if you don't care about unity. This one isn't stable yet either.

As for the error you get above, I got the same one today I don't know which one of these fixed it, but I did both of these:

  1. Reinstall unity and nvidia-current
  2. Force unity to start by changing the file at /etc/environment (gksudo gedit /etc/environment) by adding this"UNITY_FORCE_START=1 at its end
 
 
   
   
-1
 
vote

Se você quiser, você pode instalar o pacote chamado 'Unity-2d' no Centro de Software Ubuntu:

  • Como faço para instalar e alternar para a área de trabalho do Unity 2D? < / a>

O objetivo é fornecer os mesmos recursos que a unidade, mas sem a necessidade de aceleração gráfica.

ou você pode esperar até outubro e atualizar para 11.10, o que possivelmente permitirá que você use a unidade normal, mas também vem com unidade 2D como fallback por padrão. Claro, você pode se beneficiar de testar versões de desenvolvimento dele e relatar bugs.

 

If you want to, you can install the package named 'unity-2d' from the Ubuntu Software Center:

  • How do I install and switch to the Unity 2D desktop?

It aims to provide the same features as Unity, but without the need for graphics acceleration.

Or you can wait until October and upgrade to 11.10 which quite possibly will enable you to use normal Unity, but also comes with Unity 2D as fallback by default. Of course, you might benefit from testing development versions of it and reporting bugs.

 
 
 
 

Perguntas relacionadas

1  Como posso tornar o cursor de texto em X Windows mais fácil de ver?  ( How can i make the text cursor in x windows easier to see ) 
O cursor de texto em x janelas é muito fina para mim para ver facilmente. Seria ótimo se eu pudesse tornar o cursor de texto mais amplo para que fosse mais vi...

6  Como posso usar o aplicativo de dicionário no meu idioma?  ( How can i use the dictionary application in my language ) 
Eu quero usar o aplicativo do dicionário ( aplicativos & gt; Office & gt; dicionário ) empacotado com o Ubuntu no meu próprio idioma, português (Portugal). ...

0  Instalar o Gnome Shell afeta a unidade?  ( Will installing gnome shell affect unity ) 
É possível instalar o GNOME 3 e alternar entre o gnome e a unidade? Se eu executar sudo apt-get install gnome-shell irá remover a unidade ou quebrá-lo? ...

4  Configuração de fundo - Opções de corte  ( Background setting cropping options ) 
Ao definir um papel de parede, você pode escolher entre telha , zoom , central , escala , Preencha ou Opções . O que eles significam? Como a opção e...

3  Como escolher em que exibir a caixa de login aparecerá?  ( How to choose in which display the login box will appear ) 
Eu tenho dois monitores onde a área de trabalho é estendida. Eles estão conectados a uma placa de vídeo AMD / ATI através de cabos DVI. Quando eu inicializo o...

8  Não é possível mover / encaixar a janela Nautilus para ocupar a metade esquerda ou direita da tela 1366x768 - é só eu?  ( Cant move snap nautilus window to occupy left or right half of the 1366x768 scr ) 
Estou executando o Ubuntu 18.04 lts com o Gnome Shell. Nautilus não quer ocupar 50% (esquerda ou direita) da tela do tamanho de 1366x768. Outras aplicaç...

12  Desbloquear o keyring solicita três vezes em vez de uma vez  ( Unlock keyring prompts three times instead of one time ) 
Quando eu tiver "Login automático" ativado, a caixa "Desbloquear a GNOME KINGING" pede minha senha. Mas isso acontece três vezes. Existem três caixas me pedin...

0  Unity é completamente tema menos com Nautilus?  ( Unity is completely theme less with nautilus ) 
Depois de instalar o Gnome3-Shell Unity é completamente tema menos (ícone, Nautilus, gerenciador de janelas, painel) e depois de vários atualizações do GNOME ...

10  Como sair se o applet de sessão estiver faltando no painel superior?  ( How to log out if the session applet is missing from the top panel ) 
Por algum motivo, às vezes quando eu logar nos applets do painel superior aparecem distortos. Por exemplo, o applet de sessão está faltando seu ícone, e o nom...

5  Faça atalhos de gnome disponíveis para outros usuários  ( Make gnome shortcuts available to other users ) 
Eu usei Alacarte para adicionar alguns atalhos à pasta de início dos meus jogos. Agora gostaria de disponibilizar esses atalhos para todos os usuários. Como p...




© 2022 pergunte.org All Rights Reserved. Casa de perguntas e respostas todos os direitos reservados


Licensed under cc by-sa 3.0 with attribution required.